// This is a file of the TTRM Program
// by Alexandros Droseltis (C)2001-2002.
// It is distributed under the
// GNU General Public Licence v.2 (read the file LICENCE)
#ifndef BOARD_H
#define BOARD_H

#include<fstream.h>
#include<string>
#include<iostream>
#include<qtextedit.h>
#include<qtextbrowser.h>
#include<qmessagebox.h>
#include <qmenubar.h>
#include<qpopupmenu.h>
// DIALOGS
#include <qdialog.h>
#include <qfiledialog.h>
#include <qtabdialog.h>

#include<qstring.h>
#include<qstringlist.h>
#include<qlabel.h>
#include<qapplication.h>
#include<qlineedit.h>
#include<qregexp.h>

#include"row.h"
#include"ttrm.h"
#include"numtable.h"
#include"func_dialog.h"

class Board : public QWidget{
Q_OBJECT

public:
 Board();
 bool* get_opt();
 int get_opt(int i);
 char* get_row(void);
 char* get_title(void);
// const char* get_head(void);
bool row_is_valid(void);

 private slots:
     void export_tex(int table_type);
     void about_slot();
 void help_slot();
// Send Functions
 void send_row(void);
 void send_title(void);
 void view_vert(int file_type);
 void view_rows(int file_type);
  void view_square(int table_type);
  void calculate(const char* str="/tmp/newfile");
 void openSlot(void);
 void beendenSlot();
 void leseDatei();
 void speichernSlot();
 void speichernUnterSlot();
 void vert_enable(void);

    private:
 ifstream *infile;
 ofstream *outfile;
 QString dateiName;
 QPopupMenu *dateiMenu;
 QPopupMenu *export_files;
 QPopupMenu *viewMenu, *viewRows, *viewVerticals;
 QPopupMenu *helpMenu;

 func_dialog *my_dialog;
 QMenuBar *my_menu;
 ttrm* myttrm;
 Row myRow;

void write2file(QString name);
 void set_options(bool* opt);
 void initialize(void);
// void send_file_head(QString str);
 void recieve_file_head();
 void divide(void);
 void speichereDatei(bool neuerName);
 void make_file_names(void);

 QLineEdit *row_edit, *title_edit;
 QLineEdit *file_field;
 QLabel *file_label;
 QTabDialog *about;
 QString *qline_row, *qtitle;
 QString file_head, head1, head2, head3, head4;
 char line_row[100], title[100];
 char head[40];
// QStringList *qsep_notes;
 char sep_notes[24][7];
 int plithos;
 int form;
 int vert_trans;
 bool opt[24];
 QTextEdit *gpl;
 QString square;
};

#endif
