// This file is a part of the TTRM Program;
// copyright (C) 2001-2002, Alexandros Droseltis;
// it is distributed under the terms of the
// GNU General Public Licence v.2 (read the file LICENCE)
#include"func_dialog.h"
#include"export.h"
#include"search.h"

#include"export.moc"
#include"search.moc"

func_dialog::func_dialog(QWidget *parent=0) : QTabWidget(parent){
    myExport=new Export(this);
    mySearch=new Search(this);
    addTab(myExport, "Export");
    addTab(mySearch, "Search && Find");
     QObject::connect(myExport, SIGNAL(ve_clicked()),
  		     this, SIGNAL(v_clicked()));
}

bool func_dialog::get_checked_v(){
    return myExport->get_v();
}

void func_dialog::send_row(QString str){
    myExport->set_row(str);
    mySearch->set_row(str);
}

void func_dialog::send_title(QString str){
    myExport->set_title(str);
}

bool* func_dialog::get_opt(void){
    return myExport->get_opt();
}

int func_dialog::get_form(void){
    return myExport->get_form();
}

int func_dialog::get_trans(void){
    return myExport->get_trans();
}
