// This file is a part of the TTRM Program;
// copyright (C) 2001-2002, Alexandros Droseltis;
// it is distributed under the terms of the
// GNU General Public Licence v.2 (read the file LICENCE)
#ifndef TABLE_H
#define TABLE_H

#include<fstream.h>

#include"row.h"
#include"matrix.h"

class Table{
 public:
  Table();
  ~Table();
  Matrix* get_matrices(void);
  const char* tetragono_ger_str(void);
  const char* tetragono_num_str(void);
  void tetragono_ger(void);
  void tetragono_num(void);
  void set_table(bool opt[], Row myRow);
  void set_options(bool opt[]);
  void set_title(const char *titel);
  void set_filename(const char *name);
  void setForms(Row Seira);
  Matrix getForms(int position);
  void filter(void);
  void print(void);
 private:
  int accid_filt(Row Seira, int pos);
  void print_row(int slice_pos, int row_pos);
  void print_slice(int slice_pos);
  void print_score(void);
  void print_settings();
  void print_barline(void);
  void german_names(int x, int y, char g_note[]);
  char num2notename(int x);
  char num2accid(int x);
  int chromatic_big(int x, int y);
  int chromatic_small(int x, int y);
  char filename[40];
  char ger_filename[40];
  char num_filename[40];
//  char file_head[20];
  ofstream *texfile;
  ofstream *num_file;
  ofstream *ger_file;
  char title[100];
  void filter1(void);
  void filter2(void);
  void filter3(void);
  void ambitus(void);
  Matrix Forms[4];
  // OPTIONS
  // TeX options
  int end;
  int no_es;
  int no_double;
  int numbers;
  int filt1, filt2;
  int make_P, make_R, make_I, make_RI;
  // Format options
  int square;
  int arithm;
  // Information options
  int help, version;
};

#endif
