// This file is a part of the TTRM Program;
// copyright (C) 2001-2002, Alexandros Droseltis;
// it is distributed under the terms of the
// GNU General Public Licence v.2 (read the file LICENCE)
#ifndef VERTICALS_H
#define VERTICALS_H

#include"row.h"
#include"interval.h"
#include"matrix.h"
#include<fstream.h>
//#include"reader.h"
#include"table.h"

class Verticals{
 public:
  Verticals();
  ~Verticals();
  char* create(Table myTable);
  //void create(Reader myReader);
  void set_options(bool opt[]);
  void set_title(const char *titel);
  void paravan(void);
  void the_end(void);
  void print_h_settings(void);
  void print_v_accords(char hex);
  void print_barline(void);
  void print_settings(void);
  void end_block(void);
  void print_score(int hexachord);
  void set_Basic_Row(Row Basic);
  void set_head(int x);
  void list_intervals(void);
  int num_intervals(void);
  void series_list(void);
  void two_columns(Matrix myMatrix);
  void accords(Matrix MyMatrix);
  void smooth_climax(void);
  int* getList(char type);
  Row* get_hexachords(char type);
  Row* get_chords(char type);
  int get_head(void);
  Row get_basic_row(void);
  void set_filename(const char* name);
  void set_form(int x);
 private:
  ofstream *texfile;
  char filename[40];
  char file_head[40];
  char title[100];
  char num2accid(int x);
  char num2notename(int x);
  Interval Diastima[10];
  int numInt[10];
  int listA[5], listB[5];
  int head; char *form;
  int int_form;
  Row Basic_Row;
  Row Hex_a[5], Hex_b[5];
  Row chordsA[5], chordsB[5];
  int end;
};

#endif
